Loading...
Searching...
No Matches
status.hpp File Reference
`#include <cstdint>`
`#include <functional>`
`#include "svnxx/detail/future.hpp"`
`#include "svnxx/client/context.hpp"`
`#include "svnxx/depth.hpp"`
`#include "svnxx/revision.hpp"`

Go to the source code of this file.

## Data Structures

struct | apache::subversion::svnxx::client::status_notification

## Typedefs

using | apache::subversion::svnxx::client::status_callback

## Enumerations

enum class | apache::subversion::svnxx::client::status_flags : std::uint_least32_t { empty = 0U , get_all = 1U << 0 , check_out_of_date = 1U << 1 , check_working_copy = 1U << 2 , no_ignore = 1U << 3 , ignore_externals = 1U << 4 , depth_as_sticky = 1U << 5 }
| Flags that modify the behaviour of the status operation. More...

## Functions

status_flags | apache::subversion::svnxx::client::operator& (status_flags a, status_flags b)
| Bitwise conjunction operator for `status_flags`.
status_flags | apache::subversion::svnxx::client::operator| (status_flags a, status_flags b)
| Bitwise disjunction operator for `status_flags`.
revision::number | apache::subversion::svnxx::client::status (context &ctx, const char *path, const revision &rev, depth depth, status_flags flags, status_callback callback)
| Perform a status operation on path.
svnxx::detail::future< revision::number > | apache::subversion::svnxx::client::async::status (std::launch policy, context &ctx, const char *path, const revision &rev, depth depth_, status_flags flags, status_callback callback)
| Perform an asynchronous status operation on path.
svnxx::detail::future< revision::number > | apache::subversion::svnxx::client::async::status (context &ctx, const char *path, const revision &rev, depth depth_, status_flags flags, status_callback callback)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## Detailed Description

# autotoc_md191

Definition in file status.hpp.

## Typedef Documentation

## status_callback

using apache::subversion::svnxx::client::status_callback

Initial value:
std::function<void(const char* path,
const status_notification& st)>
path
const char * path
Structure used in the svn_wc_notify_func2_t function.
Definition svn_wc.h:1396
apache::subversion::svnxx::client::status_notification
Definition status.hpp:45

Warning
  TODO: Work in progress

Definition at line 50 of file status.hpp.

## Enumeration Type Documentation

## status_flags

enum class apache::subversion::svnxx::client::status_flags : std::uint_least32_t

strong

Flags that modify the behaviour of the status operation.

See also
  svn_client_status6

Definition at line 57 of file status.hpp.

## Function Documentation

## operator&()

status_flags apache::subversion::svnxx::client::operator& | ( | status_flags | a,
|  | status_flags | b )

inline

Bitwise conjunction operator for `status_flags`.

Definition at line 71 of file status.hpp.

## operator|()

status_flags apache::subversion::svnxx::client::operator| | ( | status_flags | a,
|  | status_flags | b )

inline

Bitwise disjunction operator for `status_flags`.

Definition at line 79 of file status.hpp.